WBCE CMS Forum

WBCE CMS – Way Better Content Editing.

You are not logged in.

#1 17.03.2024 22:26:29

losttrip
Member

Anything to watch out for when Upgrading from 1.3.1 to 1.6.2

I have a client who was reluctant, but is now willing to have me bring their site up to date.  I'm happy to read any direction which I might have missed, if someone can point me to the info.  I did my best (with google translate) to look through the blog pages - https://wbce.org/de/news-infos/blog/
to see if there is anything specific I need to be concerned about in order to upgrade from 1.3.1 to 1.6.2

Can this be done directly, or are there intermediate version(s) which need to be upgraded to along the way?

Thanks in advance.

Offline

#2 17.03.2024 22:48:30

florian
Administrator

Re: Anything to watch out for when Upgrading from 1.3.1 to 1.6.2

Generally, it should be able to jump to the recent WBCE version directly.
But, actually, when I updated some very old sites recently, I run for some reasons into trouble with the droplets module, e.g. the line 486

require_once WB_PATH . "/modules/droplets/upgrade.php";

in /install/upgrade.php caused an exception and the updating process got stuck.
I just commented the line out (put // in the front of it), and then updating worked - and the droplets module was updated nevertheless too...

Do not forget to update all other modules as well, i.e. most of them need an update to work with PHP 8 again.


Nicht ärgern. Nur wundern.

Offline

#3 17.03.2024 23:40:39

losttrip
Member

Re: Anything to watch out for when Upgrading from 1.3.1 to 1.6.2

Thanks Florian.  I'll let you know if I run into any issues.

Offline

Board footer

up